{$H+}
Uses 
	TestLib, sysutils;
Var
	l: longint;
  	SO, SA: String;
Begin
	l := 0;
    While Not Ans.EOF Do Begin
    	inc(l);
      	if ouf.seekeof then
       		quit(_wa, 'not enough lines');
        SO := Ouf.ReadString;
        SA := Ans.ReadString;
        If SO <> SA Then 
          	Quit(_WA, format('line %d - expected: %s, found: %s', [l, sa, so]));
     End;
     Quit(_OK, '');
End.